// To parse this JSON data, do
//
//     final orderCreatedModel = orderCreatedModelFromMap(jsonString);

import 'dart:convert';

OrderCreatedModel orderCreatedModelFromMap(String str) => OrderCreatedModel.fromMap(json.decode(str));

String orderCreatedModelToMap(OrderCreatedModel data) => json.encode(data.toMap());

class OrderCreatedModel {
  OrderCreatedModel({
    this.status,
    this.code,
    this.message,
    this.timestamp,
    this.data,
  });

  String? status;
  int? code;
  String? message;
  String? timestamp;
  Data? data;

  factory OrderCreatedModel.fromMap(Map<String, dynamic> json) => OrderCreatedModel(
    status: json["status"],
    code: json["code"],
    message: json["message"],
    timestamp: json["timestamp"],
    data: json["data"] == null ? null : Data.fromMap(json["data"]),
  );

  Map<String, dynamic> toMap() => {
    "status": status,
    "code": code,
    "message": message,
    "timestamp": timestamp,
    "data": data?.toMap(),
  };
}

class Data {
  Data({
    this.total,
    this.code,
    this.orderId,
    this.status,
  });

  dynamic? total;
  dynamic? code;
  dynamic? orderId;
  String? status;

  factory Data.fromMap(Map<String, dynamic> json) => Data(
    total: json["total"],
    code: json["code"],
    orderId: json["order_id"],
    status: json["status"],
  );

  Map<String, dynamic> toMap() => {
    "total": total,
    "code": code,
    "order_id": orderId,
    "status": status,
  };
}
